•  » Plugins
  •  » Advance Menu Manager Message d'erreur.

#1 2018-01-22 19:27:36

1colibri
Membre
Saint-Raphaël
2017-12-09
44

Advance Menu Manager Message d'erreur.

Bonjour/Bonsoir,

Ce message existe déjà dans  "trucs et astuces" mais sera peut-être plus visible ici.


j'ai un problème avec le plugin "Advanced Menu Manager" dès que je l'active j'ai ce message qui apparait sur la page d'accueil de la galerie.

Warning: A non-numeric value encountered in /home/cdcom/public_html/piwigo/include/template.class.php on line 1791

Si j'ouvre "Advance Menu Manager il m'affiche plusieurs dizaines de lignes avec ce message et le plugin est inutilisable.

J'ai bien installé Grum qui était requis pour  Advanced Menu Manager

J'ai aussi refait les installations des plugins au cas ou !

La version de GRUM est la 3,5,9  et  Advanced Menu Manager la version 3,2,12
les deux plugins sont bien activés.

Merci pour votre aide

Jean-Claude


Piwigo 2.9.2
PHP: 7.0.27 (Montrer les informations) [2018-01-23 10:23:36]
MySQL: 5.6.38 [2018-01-21 21:59:31]
Bibliothèque graphique: ImageMagick 7.0.5-10 --  www.images-passions.ovh

Hors ligne

#2 2018-01-23 08:59:30

1colibri
Membre
Saint-Raphaël
2017-12-09
44

Re: Advance Menu Manager Message d'erreur.

Bonjour


Le problème est relatif  à la version PHP car ce plugin ne fonctionne pas avec la version PHP 7.1, j'ai remis la version 7.0 et là c'est OK.
Je pense qu'une mise à jour de ce plugin serait bienvenue.

Merci d'avance

Jean-Claude

Dernière modification par 1colibri (2018-01-23 09:02:44)


Piwigo 2.9.2
PHP: 7.0.27 (Montrer les informations) [2018-01-23 10:23:36]
MySQL: 5.6.38 [2018-01-21 21:59:31]
Bibliothèque graphique: ImageMagick 7.0.5-10 --  www.images-passions.ovh

Hors ligne

#3 2018-01-23 11:19:05

1colibri
Membre
Saint-Raphaël
2017-12-09
44

Re: Advance Menu Manager Message d'erreur.

Bonjour,

Maintenant en version PHP 7.0 je n'ai plus les messages d'erreurs et il m'affiche par default une image aléatoire en bas de mon menu, en revanche dés que je souhaite faire la moindre modification dans un onglet du plugin j'ai un écran gris et la galerie est bloquée.
Voir saisie écran.

Si vous avez des idées merci d'avance.

Jean-Claude


Images attachées

Dernière modification par 1colibri (2018-01-23 11:23:16)


Piwigo 2.9.2
PHP: 7.0.27 (Montrer les informations) [2018-01-23 10:23:36]
MySQL: 5.6.38 [2018-01-21 21:59:31]
Bibliothèque graphique: ImageMagick 7.0.5-10 --  www.images-passions.ovh

Hors ligne

#4 2018-01-23 19:24:01

BrandonCougar
Membre
Lille
2013-05-04
162

Re: Advance Menu Manager Message d'erreur.

Bonsoir,

désolé moi je suis toujours en 5.6.32... je ne sais pas dire si les problèmes que tu rencontres viennent de la version de php

Hors ligne

#5 2018-01-23 19:45:35

1colibri
Membre
Saint-Raphaël
2017-12-09
44

Re: Advance Menu Manager Message d'erreur.

Bonsoir

Je viens de faire un essai avec la version PHP 5.6 et c'est pareil; quelque soit l'onglet dans le plugin, dès que je clique sur "appliquer" il se bloque avec cette écran grisé et le petit rond qui tourne comme lorsque l'on attend la fin d'une exécution, mais cela n'aboutit jamais ..

Jean-Claude

Dernière modification par 1colibri (2018-01-23 21:37:43)


Piwigo 2.9.2
PHP: 7.0.27 (Montrer les informations) [2018-01-23 10:23:36]
MySQL: 5.6.38 [2018-01-21 21:59:31]
Bibliothèque graphique: ImageMagick 7.0.5-10 --  www.images-passions.ovh

Hors ligne

#6 2018-01-23 22:07:49

1colibri
Membre
Saint-Raphaël
2017-12-09
44

Re: Advance Menu Manager Message d'erreur.

Bonsoir,

Je viens de faire des essais avec les versions précédentes 3,2,11  3,2,10 et la 3.2.9 et c'est pareil.
Je n'est plus d'idée pour rechercher la raison de ce dysfonctionnement sur ma galerie.

Merci d'avance à ceux qui sont plus expérimentés pour leur aide.

Jean-Claude


Piwigo 2.9.2
PHP: 7.0.27 (Montrer les informations) [2018-01-23 10:23:36]
MySQL: 5.6.38 [2018-01-21 21:59:31]
Bibliothèque graphique: ImageMagick 7.0.5-10 --  www.images-passions.ovh

Hors ligne

#7 2018-01-24 07:10:33

BrandonCougar
Membre
Lille
2013-05-04
162

Re: Advance Menu Manager Message d'erreur.

Bonjour,

quel thème utilises tu ?

Chez moi c'est "elegant". Peut être essayer de changer de thème.

Hors ligne

#8 2018-01-24 11:52:18

1colibri
Membre
Saint-Raphaël
2017-12-09
44

Re: Advance Menu Manager Message d'erreur.

Bonjour

Merci BrandonCougar pour ton aide.
J'ai bien le thème "elegant"
Jean-Claude


Images attachées


Piwigo 2.9.2
PHP: 7.0.27 (Montrer les informations) [2018-01-23 10:23:36]
MySQL: 5.6.38 [2018-01-21 21:59:31]
Bibliothèque graphique: ImageMagick 7.0.5-10 --  www.images-passions.ovh

Hors ligne

#9 2018-01-24 16:21:07

1colibri
Membre
Saint-Raphaël
2017-12-09
44

Re: Advance Menu Manager Message d'erreur.

Bonjour,

Faute de nouvelles idées, Je viens d'entreprendre la reconstruction de la galerie pas par pas  pour essayer de déterminer ce qui est en cause.

Je vous tiendrai informé.

Jean-Claude


Piwigo 2.9.2
PHP: 7.0.27 (Montrer les informations) [2018-01-23 10:23:36]
MySQL: 5.6.38 [2018-01-21 21:59:31]
Bibliothèque graphique: ImageMagick 7.0.5-10 --  www.images-passions.ovh

Hors ligne

#10 2018-01-24 18:56:08

BrandonCougar
Membre
Lille
2013-05-04
162

Re: Advance Menu Manager Message d'erreur.

Bonsoir,

as tu essayé de désinstaller et réinstaller le plugin ? Ou Grum peut être ?

Désolé perso pas d'autre idée

Hors ligne

#11 2018-01-24 23:13:06

1colibri
Membre
Saint-Raphaël
2017-12-09
44

Re: Advance Menu Manager Message d'erreur.

Bonsoir BrandonCougar,

Merci pour ton support.

J'ai donc installé un nouveau piwigo sur mon serveur, et j'ai installé les plugins un à un pour essayer de détecter un conflit sans noter d'anomalie, la bonne nouvelle est que "AdvanceMenuManager' ne se plante plus.  SAUF AVEC PHP 7.1 donc je reste en PHP 7.0

Finalement j'ai transferé la BDD et tout est entré dans l'ordre, je vais pouvoir reprendre le développement de la galerie.

Jean-Claude


Piwigo 2.9.2
PHP: 7.0.27 (Montrer les informations) [2018-01-23 10:23:36]
MySQL: 5.6.38 [2018-01-21 21:59:31]
Bibliothèque graphique: ImageMagick 7.0.5-10 --  www.images-passions.ovh

Hors ligne

  •  » Plugins
  •  » Advance Menu Manager Message d'erreur.

Pied de page des forums

Propulsé par FluxBB